libnvme(2)

NAME
enum nvme_subsys_type - Type of the NVM subsystem.

SYNOPSIS
enum nvme_subsys_type {
NVME_NQN_DISC ,
NVME_NQN_NVME ,
NVME_NQN_CURR

};

Constants

NVME_NQN_DISC
    Discovery type target subsystem. Describes a referral to another Discovery Service composed of Discovery controllers that provide additional discovery records. Multiple Referral entries may be reported for each Discovery Service (if that Discovery Service has multiple NVM subsystem ports or supports multiple protocols).

NVME_NQN_NVME
    NVME type target subsystem. Describes an NVM subsystem whose controllers may have attached namespaces (an NVM subsystem that is not composed of Discovery controllers). Multiple NVM Subsystem entries may be reported for each NVM subsystem if that NVM subsystem has multiple NVM subsystem ports.

NVME_NQN_CURR
    Current Discovery type target subsystem. Describes this Discovery subsystem (the Discovery Service that contains the controller processing the Get Log Page command). Multiple Current Discovery Subsystem entries may be reported for this Discovery subsystem if the current Discovery subsystem has multiple NVM subsystem ports.